+<?php

/**
 * @file
 * Hooks related to cmk module.
 */

/**
 * @addtogroup hooks
 * @{
 */

/**
 * Returns the cmk types.
 *
 * @return array
 *   Keyed array on the type => source module
 *
 * @see ctools_cmk_types()
 * @see features_cmk_types()
 */
function hook_cmk_types() {
}

/**
 * Returns the exportable list.
 *
 * @return array
 *   Array of arrays, the keys are the exportable types, the values is an
 *   array of exportable names.
 *
 * @see ctools_cmk_list()
 * @see features_cmk_list()
 */
function hook_cmk_list() {
}

/**
 * Returns the export status.
 *
 * @param string $type
 * @param array $names
 *
 * @return array
 *
 * @see ctools_cmk_export_status()
 * @see features_cmk_export_status()
 */
function hook_cmk_export_status($type, $names) {
}

/**
 * Returns the exported code in a string.
 *
 * @param string $module
 * @param string $type
 * @param string $name
 *
 * @return string
 *   The exported code.
 *
 * @see ctools_cmk_export_to_code()
 * @see features_cmk_export_to_code()
 */
function hook_cmk_export_to_code($module, $type, $name) {
}

/**
 * @param string $module
 * @param string $type
 * @param array $names
 */
function hook_cmk_revert($module, $type, $names) {
}

/**
 * @} End of "addtogroup hooks".
 */
