# CMK CMI Bridge

## Introduction

This module provides drush commands that emulate Drupal 8 CMI commands.

Configure your configuration synchronization module in settings.php:

```
$conf['cmk_cmi_bridge_config_modules'] = [
  'sync' => 'example_config',
];
```

Then use ```drush cmk-config-export``` and ```drush cmk-config-import```.

Additional support is provided to run the config-import on every ```drush updatedb```.
This is disabled by default. Enable it in settings.php with:

```
$conf['cmk_cmi_bridge_cmk_revert'] = TRUE;
```

You may chose to control this per environment, especially on local environments,
by overriding in local settings files such as settings.ddev.php.

